Name:          pology
Summary:       CLI tools for PO files processing
Version:       0.12
Release:       8%{?dist}

# Bundled aspell dictionary files are in BSD
# All other files in GPLv3+
License:       GPLv3+ and BSD
URL:           http://pology.nedohodnik.net
Source0:       http://pology.nedohodnik.net/release/%{name}-%{version}.tar.bz2

# This patch will make sure to install bash completion file in standard location
Patch0:        pology-bash-completion.patch

BuildArch:     noarch
BuildRequires: libxslt gettext
BuildRequires: epydoc cmake python2-devel
BuildRequires: libxml2-devel

Requires:      python2-%{name}

%description
Pology is a Python library and collection of command-line tools
for in-depth processing of PO files, which are the predominant
medium for translation of free software and associated documents.

%package -n     python2-%{name}
Summary:        Tool for looking at the entry point plugins on a system
%{?python_provide:%python_provide python2-%{name}}
Requires:       python2-setuptools

%description -n python2-%{name}
Pology is a Python library for in-depth processing of PO files,
which are the predominant medium for translation of free
software and associated documents.

%package doc
Summary:        Documentation for pology API

%description doc
This package contains documentation for pology.

%prep
%autosetup -p0
sed -i 's|/usr/bin/env python|%{_bindir}/python2|' scripts/*.py
sed -i '1{\@^#!/usr/bin/env python@d}' lang/sr/scripts/*.py

%build
%cmake .

%make_build VERBOSE=1

%install
%make_install
find %{buildroot}/%{_datadir}/pology/lang/sr -type f -exec chmod 644 {} \;


%find_lang %{name}

%files -f %{name}.lang
%doc README
%license COPYING.BSD COPYING.GPLv3
%{_bindir}/*
%{_datadir}/pology
%{_datadir}/bash-completion

%files -n python2-%{name}
%license COPYING.GPLv3
%{python2_sitelib}/%{name}

%files doc
%doc %{_pkgdocdir}/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.12-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 16 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.12-3
- Merge -bash-completion into main package (rh#1382655)
- create new -doc subpackage

* Mon Oct 31 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.12-2
- Fix as per this package review comments (rh#1382655)
- added new subpackage -bash-completion

* Thu Oct 06 2016 Parag Nemade <pnemade AT redhat DOT com> - 0.12-1
- Initial spec for Fedora.


